package dev.lions.unionflow.server.api.enums.organisation;

/**
 * Énumération des types d'organisations supportés par UnionFlow
 *
 * @author UnionFlow Team
 * @version 1.0
 * @since 2025-01-10
 */
public enum TypeOrganisation {
  LIONS_CLUB("Lions Club"),
  ASSOCIATION("Association"),
  FEDERATION("Fédération"),
  COOPERATIVE("Coopérative"),
  MUTUELLE("Mutuelle"),
  SYNDICAT("Syndicat"),
  FONDATION("Fondation"),
  ONG("ONG");

  private final String libelle;

  TypeOrganisation(String libelle) {
    this.libelle = libelle;
  }

  public String getLibelle() {
    return libelle;
  }
}
